Package org.apache.naming.factory.webservices

# Class ServiceRefFactory

java.lang.Object
org.apache.naming.factory.webservices.ServiceRefFactory

All Implemented Interfaces:
  `ObjectFactory`

public class ServiceRefFactory extends Object implements ObjectFactory
Object factory for Web Services.

Author:
  Fabien Carrion

## Constructor Summary

Constructors
Constructor
Description
`ServiceRefFactory()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`
Create a new serviceref instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServiceRefFactory

public ServiceRefFactory()

## Method Details

### getObjectInstance

public Object getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment) throws Exception
Create a new serviceref instance.

Specified by:
  `getObjectInstance` in interface `ObjectFactory`
Parameters:
  `obj` - The reference object describing the webservice
Throws:
  `Exception`